%   CREATEWEBCAM.M  -   creates an object of class WebCamCapture.
%
%   usage:      webcam  =   createwebcam(width, height)
%
%   where:      width   is an integer specifying the width of the image
%                       it will use in pixels.
%               height  is an integer specifying the height of the image
%                       it will use in pixels.
%
%   Note:  typical width/height combinations are:
%       320 240
%       640 480
%
%   UWA PC307 Group M
%   By Philip Hagen
%   hagenp01@tartarus.uwa.edu.au
%   8 Oct 2003

function webcam  =   createwebcam(width, height);

    % create a webcam Java object
    webcam = javaObject('WebCamCapture', width, height);
    % get the camera name
    camname = webcam.getCameraName;
    
    % (check if camname actually has been set here)

    % set up the webcam with the camera name
    webcam.setup( camname );
    % start the thread running
    webcam.start;


