%   SAVERCXSTATE.M  -   saves the state of the given RCX to file.
%                       the current yawratio, pitchratio, yaw, and pitch are stored.
%
%   usage:  savercxstate(rcx)
%
%   where:  rcx     is an instance of the PCAngleLayer class
%
%   UWA PC307 Group M
%   By Philip Hagen
%   hagenp01@tartarus.uwa.edu.au
%   10 Oct 2003

function savercxstate(rcx)

    calibdata = rcx.getCalibrationData;
    pos = rcx.getPosition;

    yawratio = calibdata.getYawRatio;
    pitchratio = calibdata.getPitchRatio;

    yaw = pos.getYaw;
    pitch = pos.getPitch;
    
    save 'rcxstate.mat' yaw pitch yawratio pitchratio;
