//  PCInterface.java
 
/**
 *  This is the interface for a class using IR communications
 *  from the the PC across to the RCX. Methods defined here must be implemented.
 *
 *  @author Iavor Georgeff
 *  @version %I%, %G%
 */


public interface PCCommInterface
{
    public long ping() throws IRException;
    public void moveTo(int yaw, int pitch) throws IRException;
    public void moveBy(int yaw, int pitch) throws IRException;
    public SensorValues getPosition() throws IRException;
    public void setPosition(SensorValues sv) throws IRException;
    public void shutdown() throws IRException;
}
