/** PCTester.java
 */
 
import java.io.*;


class PCTester
{

    private static final int MOVEAMOUNT = 30;
    
    PCCommLayer comm;

    public PCTester() throws IRException
    {
        System.out.println("Creating PC communications layer...");
        comm = new PCCommLayer();

        int key = 0;
        boolean invalidinput = false;
        boolean quitrequest = false;

        do
        {
            do
            {
                System.out.println("\nRCX Menu:");
                System.out.println(" 1.  Ping");
                System.out.println(" 2.  Get sensor values");
                System.out.println(" 3.  Reset sensor values");
                System.out.println(" 4.  Move up");
                System.out.println(" 5.  Move down");
                System.out.println(" 6.  Move left");
                System.out.println(" 7.  Move right");
                System.out.println(" 8.  Move to (0,0)");
                System.out.println(" S.  Shutdown");
                System.out.println(" Q.  Quit");
                System.out.print("\nEnter your choice: ");

                invalidinput = false;
                try
                {
                    key = System.in.read();
                    System.in.skip( System.in.available() );
                }
                catch (Exception e)
                {
                    System.out.println("Invalid input.");
                    invalidinput = true;
                }

            } while (invalidinput);


            switch (key)
            {
                case '1':
                    comm.ping();
                    break;
                case '2':
                    comm.getPosition();
                    break;
                case '3':
                    comm.setPosition(new SensorValues(0,0));
                    break;
                case '4':
                    comm.moveBy(0, 30);
                    break;
                case '5':
                    comm.moveBy(0, -30);
                    break;
                case '6':
                    comm.moveBy(-30, 0);
                    break;
                case '7':
                    comm.moveBy(30, 0);
                    break;
                case '8':
                    comm.moveTo(0,0);
                    break;
                case 's':
                case 'S':
                    comm.shutdown();
                    break;
                case 'q':
                case 'Q':
                    quitrequest = true;
                    break;
            }

        } while (!quitrequest);

    }


    public static void main(String[] args) throws IRException
    {
        PCTester pct = new PCTester();
    }


}
