// RCXHadwareInterface.java
/**
 *  Part of PC307 Group M Project: Lego RCX WebCam Mount
 *  Category: RCX
 *
 *  This class is the interface for the layer that handles
 *  the hardware, such as talking to the motors and sensors
 *  and moving to the target.
 *
 *  @author Philip Hagen    hagenp01@tartarus.uwa.edu.au
 *
 *  Last updated:   10 October 2003
 */

import josx.platform.rcx.*;

public interface RCXHardwareInterface
{

    public int getPitch();
    public int getYaw();
    
    public void setPosition(int yaw, int pitch);
    public void setBounds(int ymin, int ymax, int pmin, int pmax); // not used

    public int moveSlightly(int direction, int amount);
    public int moveTo(int yawval, int pitchval);
}
